clear all;

load lines_results_thinned;
load lines_imgs;

boundaryMaskRgb = ones(512,512,3);
boundaryMaskRgb([1:5,(end-4):end],:,:) = 0;
boundaryMaskRgb(:,[1:5,(end-4):end],:) = 0;


k = 1;

for j = 1:length(imgs)
    imgRgb = CSHRMgetOverlay(imgs{j},squeeze(thinnedEdgesResults(k,:,:,j)));
    imgRgb = imgRgb.*boundaryMaskRgb;
    imwrite(imgRgb,['mock_ridges_results_coshrem_',num2str(j),'.png']);
end