function [testData,catValues] = readTestData(baseImg,folder,varargin)

testData = {};
fileExt = strsplit(baseImg,'.');
fileExt = fileExt{end};
categories =  lower(varargin);
catValues = cell(1,nargin-2);
files = dir(folder);

for file = files'
    if strncmpi(file.name,baseImg(1:(end-length(fileExt)-1)),length(baseImg)-length(fileExt)-1) && strcmpi(file.name((end-2):end),fileExt)
        parts = strsplit(lower(file.name),{'_','.'});
        if all(ismember(categories,parts))
            %extract image
            testData{length(testData)+1} = double(imread(file.name));
            %extract categories
            for k = 1:(nargin-2)
                [dummy,idx] = ismember(categories{k},parts);
                catValues{k} = [catValues{k}, str2num(parts{idx+1})]; 
            end
        end     
    end
end

end

